Start a WebRTC sandbox session against this agent
curl --request POST \
--url https://api.pineyard.ai/agents/{id}/web-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"variables": {}
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({variables: {}})
};
fetch('https://api.pineyard.ai/agents/{id}/web-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/agents/{id}/web-session"
payload = { "variables": {} }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"callId": "<string>",
"roomUrl": "<string>",
"token": "<string>"
}Agents
Start a WebRTC sandbox session against this agent
POST
/
agents
/
{id}
/
web-session
Start a WebRTC sandbox session against this agent
curl --request POST \
--url https://api.pineyard.ai/agents/{id}/web-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"variables": {}
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({variables: {}})
};
fetch('https://api.pineyard.ai/agents/{id}/web-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/agents/{id}/web-session"
payload = { "variables": {} }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"callId": "<string>",
"roomUrl": "<string>",
"token": "<string>"
}Required scope:
calls.test
Idempotency: an Idempotency-Key header is required when calling with an API key. See Idempotency.Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Headers
Unique value (e.g. a UUID) per action, up to 200 printable ASCII characters. Reuse it only to retry the same request; the first response is replayed for 24 hours.
Maximum string length:
200Example:
"f1d2c3b4-0000-4000-8000-000000000000"
Path Parameters
Body
application/json
Show child attributes
Show child attributes

